#include<iostream>
using namespace std;
long long arr[100000];
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    long long n,j=0,br,c=0,stupka=3;
    cin>>n;
    for(int i=1; i<=n; i+=2)
    {
        arr[j]=i;
        j++;
    }
    br=j;
    c=j;
    while(stupka<c)
    {
        c=0;
        for(int i=0; i<br; i+=stupka)
        {
            arr[c]=arr[i];
            c++;
        }
        br=c;
        stupka++;
    }
    cout<<arr[c-1]<<endl;
    return 0;
}

